package yi.iu.ft;

import java.awt.*;
import yi.util.io.ImageReader;

/**
 * Interface for image feature extractors
 * Title:        Object Image Generation
 * Description:  This project provides the required utilities to construct Object Images.  An Object Image is an image containing one or several predefined object sketch.  This kind of image is suitable to be used as experiment image when testing a learning algorithm.
 * Copyright:    Copyright (c) 2002
 * Company:      University of Washington
 * @author Yi Li
 * @version 1.0
 */

public class FTExtractor {
    String imageID;      // Image ID or Name
    int[] pixels;        // Image Data
    Dimension d;         // Image Dimension

    public FTExtractor() {
        System.err.println("This FTExRegion constructor should be overrided");
    }
    public FTExtractor(String name, Image i) {
        System.err.println("This FTextractor constructor should be overrided");
    }
    public FTExtractor(String filename) throws java.io.IOException{
        this(filename, ImageReader.readImageFile(filename));
    }
}